Bug 1413237 - systemd-networkd unable to create tap device
Summary: systemd-networkd unable to create tap device
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 00:46 UTC by Javier Castillo II
Modified: 2017-12-12 10:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:59 UTC
Type: Bug


Attachments (Terms of Use)
policy .te file with permissions required for successful tap device creation (357 bytes, text/plain)
2017-01-14 00:46 UTC, Javier Castillo II
no flags Details

Description Javier Castillo II 2017-01-14 00:46:43 UTC
Created attachment 1240601 [details]
policy .te file with permissions required for successful tap device creation

Description of problem:
When establishing a tap netdev, SELinux policy blocks systemd-networkd from accessing the tun device

Version-Release number of selected component (if applicable):
Fedora 25
systemd 231

How reproducible:
Switch system from NetworkManager to systemd-networkd, and configure a netdev definition for a tap device.

Steps to Reproduce:
1. Disable NetworkManager
2. Enabled systemd-networkd
3. load tun module / configure for persistent load
4. Create tap netdev
5. start systemd-networkd / reboot

Actual results:
tap device fails to be created due to SELinux policy denials

Expected results:
A tap device is created through systemd-networkd

Additional info:
Iterations of audit2allow results in the attached .te file.
audit2allow didn't recognize any booleans, and I wasn't able to track any down either. This perhaps could made a boolean if systemd-netword shouldn't be able to create tap/tun devices by default

Comment 1 Fedora End Of Life 2017-11-16 19:04:35 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:04:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.